* Produces descriptive in WebTAble 2;

data cero;
set mylib.cero_hivc_aids_death_3_newvacs (keep= id month2  everhaart sex year_0 age_0 mycd4avg rna_0 mode_new race_new origin_cat);
where year_0>=2005 and  year_0<=2013 and month2<=60;
by id;
lag_everhaart=lag(everhaart);
if first.id then lag_everhaart=0;
run;

proc univariate data=cero;
var mycd4avg;
where missing(mycd4avg)=0;
run;

data month_haart (keep=id month_haart);
set cero;
if everhaart=1 and lag_everhaart=0 then month_haart=month2;
else delete;
run;

data cero;
merge cero (in=a where=(month2=0)) month_haart;
by id;
if a=1;
early=0;
if month_haart<=2 and month_haart ne . then early=1;
run;

proc sort data=cero;
by early id;
run;
* Descriptive statistics of baseline characteristics for individuals who started early in HIV-CAUSAL;
proc univariate data=cero;
by early;
var age_0 mycd4avg rna_0 year_0;
run;

proc freq data=cero;
by early;
table mode_new origin_cat sex race_new;
run;

